#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
    int x,z,i,y,b=0,br=0;
    char T[200000];
    gets(T);
    x=strlen(T);
    y=x/2;
    z=x/4;
    for(i=0;i<x/2; i++)
    {

        if(T[i]=='b')
          break;
        else
            b++;
    }
    for(i=x-1;i>x/2; i--)
    {

        if(T[i]=='b')
          break;
        else
            br++;
    }
    if(b>br)
    printf("%d", (b-br)+1);
    else
    printf("%d", (br-b)+1);
    return 0;
}